/*
 * Copyright 2006 Takahiro Nakamura.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package woolpack.el;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

public class ElAllTests extends TestCase {

	public static Test suite() {
		final TestSuite suite = new TestSuite();

		suite.addTest(new TestSuite(ArrayPathELTest.class));
		suite.addTest(new TestSuite(CachePropertyELFactoryTest.class));
		suite.addTest(new TestSuite(FixELTest.class));
		suite.addTest(new TestSuite(MapELTest.class));
		suite.addTest(new TestSuite(MapPropertyELFactoryTest.class));
		suite.addTest(new TestSuite(NullELTest.class));
		suite.addTest(new TestSuite(PropertyELTest.class));
		suite.addTest(new TestSuite(PathELTest.class));
		suite.addTest(new TestSuite(ReflectionPropertyELFactoryTest.class));
		suite.addTest(new TestSuite(ToELTargetExceptionELTest.class));

		return suite;
	}

}
